Bug 24583 - Rewrite mandatory installation files to YAML
Summary: Rewrite mandatory installation files to YAML
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 24262
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-04 22:29 UTC by Bernardo Gonzalez Kriegel
Modified: 2020-04-01 22:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24583: Rewrite mandatory/auth_values to YAML (4.38 KB, patch)
2020-02-04 23:49 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/class_sources to YAML (7.02 KB, patch)
2020-02-04 23:49 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/sample_frequencies to YAML (5.00 KB, patch)
2020-02-04 23:49 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/sample_notices to YAML (71.20 KB, patch)
2020-02-04 23:49 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/sample_numberpatterns to YAML (5.97 KB, patch)
2020-02-04 23:49 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/auth_values to YAML (4.45 KB, patch)
2020-02-21 16:29 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/class_sources to YAML (7.09 KB, patch)
2020-02-21 16:29 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/sample_frequencies to YAML (5.06 KB, patch)
2020-02-21 16:29 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/sample_notices to YAML (71.26 KB, patch)
2020-02-21 16:29 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/sample_numberpatterns to YAML (6.04 KB, patch)
2020-02-21 16:29 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24583: (followup) restore null values to labels (1.51 KB, patch)
2020-03-05 13:56 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/auth_values to YAML (4.52 KB, patch)
2020-03-09 12:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/class_sources to YAML (7.09 KB, patch)
2020-03-09 12:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/sample_frequencies to YAML (5.14 KB, patch)
2020-03-09 12:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/sample_notices to YAML (71.33 KB, patch)
2020-03-09 12:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24583: Rewrite mandatory/sample_numberpatterns to YAML (6.11 KB, patch)
2020-03-09 12:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24583: (followup) restore null values to labels (1.58 KB, patch)
2020-03-09 12:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24583: adjust xt/sample_notices.t (2.14 KB, patch)
2020-03-09 15:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24583: adjust xt/sample_notices.t (2.21 KB, patch)
2020-03-09 15:19 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2020-02-04 22:29:59 UTC
A complete rewrite of mandatary instalation files from SQL to YAML is presented, one patch for each file, the result could be squashed.

The goal is to allow the translation of the installation files.
Comment 1 Bernardo Gonzalez Kriegel 2020-02-04 23:49:08 UTC
Created attachment 98414 [details] [review]
Bug 24583: Rewrite mandatory/auth_values to YAML

YAML version of mandatory auth_values.

To test:
1) Do a clean install, dump auth_values, reserve.

2) Apply this patch and it's dependencies

3) Do a clean install, dump again and compare
   No differences expected

4) Try translation
  a) Go to misc/translator
  b) create files for a new language
     ./translate create xx-YY
  c) Check new file po/xx-YY-instaler.po
     Verify strings from this file.
  d) Install new language
     ./translate install xx-YY
  e) Try clean install with new files
Comment 2 Bernardo Gonzalez Kriegel 2020-02-04 23:49:11 UTC
Created attachment 98415 [details] [review]
Bug 24583: Rewrite mandatory/class_sources to YAML

YAML version of mandatory class_sources

To test:
1) Same test plan of first patch, only check tables
   class_sort_rules, class_split_rules and class_sources
Comment 3 Bernardo Gonzalez Kriegel 2020-02-04 23:49:14 UTC
Created attachment 98416 [details] [review]
Bug 24583: Rewrite mandatory/sample_frequencies to YAML

YAML version of mandatory sample_frequencies

To test:
1) Same test plan of first patch, only check table
   subscription_frequencies
Comment 4 Bernardo Gonzalez Kriegel 2020-02-04 23:49:18 UTC
Created attachment 98417 [details] [review]
Bug 24583: Rewrite mandatory/sample_notices to YAML

YAML version of mandatory sample_notices

To test:
1) Same test plan of first patch, only check table
   letter
Comment 5 Bernardo Gonzalez Kriegel 2020-02-04 23:49:21 UTC
Created attachment 98418 [details] [review]
Bug 24583: Rewrite mandatory/sample_numberpatterns to YAML

YAML version of mandatory sample_numberpatterns

To test:
1) Same test plan of first patch, only check table
   subscription_numberpatterns
Comment 6 Martin Renvoize 2020-02-21 16:29:14 UTC
Created attachment 99397 [details] [review]
Bug 24583: Rewrite mandatory/auth_values to YAML

YAML version of mandatory auth_values.

To test:
1) Do a clean install, dump auth_values, reserve.

2) Apply this patch and it's dependencies

3) Do a clean install, dump again and compare
   No differences expected

4) Try translation
  a) Go to misc/translator
  b) create files for a new language
     ./translate create xx-YY
  c) Check new file po/xx-YY-instaler.po
     Verify strings from this file.
  d) Install new language
     ./translate install xx-YY
  e) Try clean install with new files

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2020-02-21 16:29:17 UTC
Created attachment 99398 [details] [review]
Bug 24583: Rewrite mandatory/class_sources to YAML

YAML version of mandatory class_sources

To test:
1) Same test plan of first patch, only check tables
   class_sort_rules, class_split_rules and class_sources

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2020-02-21 16:29:20 UTC
Created attachment 99399 [details] [review]
Bug 24583: Rewrite mandatory/sample_frequencies to YAML

YAML version of mandatory sample_frequencies

To test:
1) Same test plan of first patch, only check table
   subscription_frequencies

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2020-02-21 16:29:23 UTC
Created attachment 99400 [details] [review]
Bug 24583: Rewrite mandatory/sample_notices to YAML

YAML version of mandatory sample_notices

To test:
1) Same test plan of first patch, only check table
   letter

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2020-02-21 16:29:26 UTC
Created attachment 99401 [details] [review]
Bug 24583: Rewrite mandatory/sample_numberpatterns to YAML

YAML version of mandatory sample_numberpatterns

To test:
1) Same test plan of first patch, only check table
   subscription_numberpatterns

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2020-02-21 16:35:45 UTC
Great work Bernardo, looks solid to me and installs fine. Signing off.
Comment 12 Bernardo Gonzalez Kriegel 2020-03-05 13:56:08 UTC
Created attachment 100195 [details] [review]
Bug 24583: (followup) restore null values to labels

This patch adds null values to selected label2/3 in
sample numberpatterns
Comment 13 Jonathan Druart 2020-03-09 12:19:41 UTC
Created attachment 100346 [details] [review]
Bug 24583: Rewrite mandatory/auth_values to YAML

YAML version of mandatory auth_values.

To test:
1) Do a clean install, dump auth_values, reserve.

2) Apply this patch and it's dependencies

3) Do a clean install, dump again and compare
   No differences expected

4) Try translation
  a) Go to misc/translator
  b) create files for a new language
     ./translate create xx-YY
  c) Check new file po/xx-YY-instaler.po
     Verify strings from this file.
  d) Install new language
     ./translate install xx-YY
  e) Try clean install with new files

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Jonathan Druart 2020-03-09 12:19:45 UTC
Created attachment 100347 [details] [review]
Bug 24583: Rewrite mandatory/class_sources to YAML

YAML version of mandatory class_sources

To test:
1) Same test plan of first patch, only check tables
   class_sort_rules, class_split_rules and class_sources

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2020-03-09 12:19:48 UTC
Created attachment 100348 [details] [review]
Bug 24583: Rewrite mandatory/sample_frequencies to YAML

YAML version of mandatory sample_frequencies

To test:
1) Same test plan of first patch, only check table
   subscription_frequencies

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 16 Jonathan Druart 2020-03-09 12:19:54 UTC
Created attachment 100349 [details] [review]
Bug 24583: Rewrite mandatory/sample_notices to YAML

YAML version of mandatory sample_notices

To test:
1) Same test plan of first patch, only check table
   letter

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 17 Jonathan Druart 2020-03-09 12:19:58 UTC
Created attachment 100350 [details] [review]
Bug 24583: Rewrite mandatory/sample_numberpatterns to YAML

YAML version of mandatory sample_numberpatterns

To test:
1) Same test plan of first patch, only check table
   subscription_numberpatterns

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 18 Jonathan Druart 2020-03-09 12:20:01 UTC
Created attachment 100351 [details] [review]
Bug 24583: (followup) restore null values to labels

This patch adds null values to selected label2/3 in
sample numberpatterns

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 19 Martin Renvoize 2020-03-09 14:12:32 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 20 Jonathan Druart 2020-03-09 15:15:18 UTC
Created attachment 100389 [details] [review]
Bug 24583: adjust xt/sample_notices.t
Comment 21 Martin Renvoize 2020-03-09 15:19:23 UTC
Created attachment 100391 [details] [review]
Bug 24583: adjust xt/sample_notices.t

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 22 Martin Renvoize 2020-03-09 15:19:52 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 23 Joy Nelson 2020-04-01 22:34:29 UTC
enhancement not backported to 19.11.x